Index: SPECS/glibc.spec
===================================================================
--- SPECS.orig/glibc.spec
+++ SPECS/glibc.spec
@@ -19,6 +19,7 @@
 %define buildpower6 0
 %endif
 %define rtkaioarches %{ix86} x86_64 ia64 ppc ppc64 s390 s390x
+%define portsarches %{arm}
 %define debuginfocommonarches %{ix86} alpha alphaev6 sparc sparcv9
 %define _unpackaged_files_terminate_build 0
 Summary: The GNU libc libraries.
@@ -34,6 +35,7 @@ Source2: %(echo %{glibcsrcdir} | sed s/g
 %define glibc_release_unpack -a1 -a2
 %endif
 Source3: %{glibcname}-fedora-%{glibcdate}.tar.bz2
+Source4: glibc-ports-%{glibcversion}.tar.bz2
 Patch0: %{glibcname}-fedora.patch
 Patch1: %{name}-ia64-lib64.patch
 Buildroot: %{_tmppath}/glibc-%{PACKAGE_VERSION}-root
@@ -240,7 +242,8 @@ package or when debugging this package.
 %endif
 
 %prep
-%setup -q -n %{glibcsrcdir} %{glibc_release_unpack} -a3
+%setup -q -n %{glibcsrcdir} %{glibc_release_unpack} -a3 -a4
+mv glibc-ports-%{glibcversion} ports
 %patch0 -E -p1
 %ifarch ia64
 %if "%{_lib}" == "lib64"
@@ -835,6 +838,9 @@ AddOns=`echo */configure | sed -e 's!/co
 %ifarch %{rtkaioarches}
 AddOns=,rtkaio$AddOns
 %endif
+%ifarch %{portsarches}
+AddOns=,ports$AddOns
+%endif
 
 build_nptl()
 {
